// Code generated by mockery v2.10.0. DO NOT EDIT.

package mocks

import (
	time "time"

	mock "github.com/stretchr/testify/mock"
)

// ClockUTCProvider is an autogenerated mock type for the ClockUTCProvider type
type ClockUTCProvider struct {
	mock.Mock
}

// NowUTC provides a mock function with given fields:
func (_m *ClockUTCProvider) NowUTC() time.Time {
	ret := _m.Called()

	var r0 time.Time
	if rf, ok := ret.Get(0).(func() time.Time); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(time.Time)
	}

	return r0
}
